# 掘金文件单扫单示例策略

## 策略文件结构

```
.
├── README.md
├── common.py
├── dbf.py
├── requirements.txt
├── scan_by_csv.py
├── scan_by_dbf.py
├── test_spend_time_by_csv.py
└── test_spend_time_by_dbf.py
```

- `README.md`       使用说明
- `common.py`       文件单公共脚本
- `dbf.py`          `pip install dbf`下载安装的dbf库，修改注释了第`3070`行
- `requirements.txt` Python示例策略依赖
- `scan_by_csv.py`  CSV文件单示例策略
- `scan_by_dbf.py`  DBF文件单示例策略
- `test_spend_time_by_csv.py`   CSV文件单性能测试
- `test_spend_time_by_dbf.py`   DBF文件单性能测试

## 使用教程

当前示例策略，依赖于 Python 3.6 及以上环境

1. 安装依赖   
    ```
    pip install -r requirements.txt -i https://pypi.doubanio.com/simple
    ```
    
2. 修改参数

    打开`scan_by_csv.py`或`scan_by_dbf.py`文件，修改 `if __name__ == '__main__'`下的参数：

    ```
    # 文件单结果输出路径：登录掘金3终端 -> 手工交易 -> 文件单 -> 文件单输入 -> 新增文件单的文件单路径 
    out_path = r''

    # 文件单结果输入路径：登录掘金3终端 -> 手工交易 -> 文件单 -> 文件单输出-> 输出路径
    in_path = r''

    # 仿真/实盘的账户ID
    account_id = ''
    ```

3. 运行文件单脚本

    ```
    python scan_by_csv.py // 或 python scan_by_dbf.py
    ```

## 策略下载

- [下载示例策略](https://gm3-static.oss-cn-shenzhen.aliyuncs.com/scanner2_strategy/scanner2_strategy.zip)

## 注意事项

1. 由于`dbf`文件规范本身字段值长度(254个字符长度)的限制，`功能号`文件单不适合使用`dbf`文件单进行扫单，建议使用`csv`.
2. `dbf`文件单扫单，读写`dbf`文件时，请指定`codepage`参数为`utf8`，以避免出现中文乱码
3. 文件单支持`流式`写入委托信号，可以减少频繁开关文件影响报单性能
4. **示例程序仅供参考，请勿用于实盘交易**
   
